---
include: 'templates/template.yml'

flake8:
  extends: .retry
  interruptible: true
  image: ${CI_REGISTRY}/cubicweb/dockerfiles/python-logilab:latest
  except:
    variables:
      - $TRIGGERED_FROM_OTHER_PROJECT
  tags:
    - lint
    - flake8
  stage: lint
  script:
    - tox -e flake8 -- --exit-zero --format gl-codeclimate --output-file gl-code-quality-report.json
    - tox -e flake8
  artifacts:
    when: always
    reports:
      codequality: gl-code-quality-report.json
